/* GNU FaXile - fax image viewer
 *
 * Copyright (C) 2000 Wolfgang Sourdeau
 *
 * Author: Wolfgang Sourdeau <wolfgang@ultim.net>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef TIFFIMAGE_H
#define TIFFIMAGE_H

#include <tiffio.h>

typedef struct _FaxFile FaxFile;
typedef struct _FaxPage FaxPage;

struct _FaxPage {
	int nbr;
	int width;
	int height;
	unsigned char *image;
	FaxPage *next;
	FaxPage *prev;
};

struct _FaxFile {
	gchar *file_name;
	unsigned int nbr_images, x_res, y_res;
	TIFF* tiff_file;
	FaxPage *first;
};

FaxFile *ti_open_fax_file (char* file_name);
void ti_close_fax_file (FaxFile *fax_file);
FaxPage *ti_seek_fax_page (FaxFile *fax_file, unsigned int number);
void ti_load_fax_page (FaxFile *fax_file, FaxPage *fax_image);
void ti_unload_fax_page (FaxPage *fax_image);
void ti_destroy_fax_page (FaxPage *fax_image);
FaxPage *ti_zoomed_fax_page (FaxPage *orig, int new_width,
			     int new_height, int reversed);

#endif
